## How to contribute to cli-calc

#### **Did you find a bug?**

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/cruisen/cli-calc/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/cruisen/cli-calc/issues/new/choose). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

* If possible, use the provided bug report templates to create the issue.

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

* Before submitting, please read the [develoment](https://github.com/cruisen/cli-calc/blob/main/docs/extras/develop.md) guide to know more about coding conventions and benchmarks.

#### **Did you fix whitespace, format code, or make a purely cosmetic patch?**

Changes that are cosmetic in nature and do not add anything substantial to the stability, functionality, or testability of cli-calc will generally not be accepted.

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change in the [feature request](https://github.com/cruisen/cli-calc/issues/new?assignees=cruisen&labels=is_enhancement%2C+is_Requirement%2C+need_Triage&template=feature_request.md&title=%5BFEATURE+REQUEST%5D+).

#### **Do you have questions about the source code?**

* Ask any question about how to use cli-calc by opening a [new discussion](https://github.com/cruisen/cli-calc/discussions/new).

#### **Do you want to contribute to the documentation?**

* Suggest your change in the [feature request](https://github.com/cruisen/cli-calc/issues/new?assignees=cruisen&labels=is_enhancement%2C+is_Requirement%2C+need_Triage&template=feature_request.md&title=%5BFEATURE+REQUEST%5D+).


cli-calc is a volunteer effort. We encourage you to pitch in and join [the team](https://github.com/cruisen/cli-calc/graphs/contributors)!

Thanks! :heart: :heart: :heart:

The (small) cli-calc Team
